Subject: Re: linking cygwin against non-cygwin
From: [email-masked] (Earnie Boyd)

3 Feb 1998 20:29:07 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

If it is win32 specific, why not just use the win32api calls?  It seems 
to be fairly straight forward.  If your just mapping a button or menu to 
some executable, why not script it?  Tk is just one of many good 
scripting languages.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>From: [email-masked] (Tim Newsham)
>Subject: linking cygwin against non-cygwin
>To: [email-masked]
>Date: Tue, 3 Feb 1998 07:49:00 -1000 (HST)
>
>
>Hi,
>
>    I am looking to have a gui developed for some cygwin compiled
>code I am using.  I am curious as to the approach others have taken
>here.  I see a number of possible ways it could work.  Which of these
>are actually practical?
>
>   - Compile non-cygwin gui code with cygwin's gcc and libraries
>     to form a cygwin binary.  This may involve some changes to
>     include directives, some tweaking of headers and libs.
>
>   - Compile parts with cygwin and parts with non-cygwin tools
>     and link them together.
>
>   - Compile everything with non-cygwin tools and link against
>     cygwin libraries and/or dlls.
>
>There's also the possibility of using some gui code that is
>already written for cygwin (like tk), but we probably won't be
>taking that approach.  If anyone has found a gui package for cygwin
>that they find extraordinarily good, I would be interested in
>hearing about it though.
>
>                                      Tim N.
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".